package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.sax.StartElementListener
import android.widget.Toast
import androidx.activity.result.contract.ActivityResultContracts
import com.example.mlearningremesla.databinding.ActivityLoginAcitvityBinding
import com.google.firebase.auth.FirebaseAuth

class LoginAcitvity : AppCompatActivity() {

    private lateinit var binding: ActivityLoginAcitvityBinding;
    private lateinit var auth: FirebaseAuth;

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLoginAcitvityBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();
    }

    private fun initData(){
        auth = FirebaseAuth.getInstance();
        sClickListener();
    }

    private fun sClickListener(){
        binding.novyuzivatel.setOnClickListener{
            startActivity(Intent(this,RegisterActivity::class.java))
            finish();
        }

        binding.obnovahesla.setOnClickListener{
            startActivity(Intent(this,ObnovaHeslaActivity::class.java))
            finish();
        }

        binding.btnlogin.setOnClickListener {
            getUserData();
        }
    }

    private fun getUserData(){
        var email = binding.email.text.toString();
        var password = binding.heslo.text.toString();

        if (email.isNotEmpty() && password.isNotEmpty()){
            //Autorizuj uzivatele
            authUser(email, password);
        }else{
            Toast.makeText(this,"Vyplňte všechny údaje", Toast.LENGTH_LONG).show()

        }
    }

    private fun authUser(email: String, password: String){
        auth.signInWithEmailAndPassword(email,password)
            .addOnCompleteListener{
                checkResults(it.isSuccessful);
            }

    }
    private fun checkResults(isSucces: Boolean){
        if (isSucces){
            startActivity(Intent(this,MenuActivity::class.java))
            finish();
        }else{
            Toast.makeText(this,"Přihlášení se nezdařilo", Toast.LENGTH_LONG).show()
        }
    }
}