package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityMenuBinding
import com.google.firebase.auth.FirebaseAuth

class MenuActivity : AppCompatActivity() {

    private lateinit var auth: FirebaseAuth;
    private lateinit var binding: ActivityMenuBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMenuBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();
    }

    private fun initData(){
        auth = FirebaseAuth.getInstance();
        setUserEmail();
        clickListener();
    }

    private fun clickListener(){
         binding.btnOdhlaseni.setOnClickListener {
             auth.signOut();
             startActivity(Intent(this,LoginAcitvity::class.java))
             finish()
         }
        binding.kovarstvi.setOnClickListener{
            startActivity(Intent(this,KovarstviActivity::class.java))
            finish()
        }
        binding.profil.setOnClickListener{
            startActivity(Intent(this,ProfilActivity::class.java))
            finish()
        }
    }

    private fun getCurrentUserEmail(): String? {
        return auth.currentUser?.email

    }
    private fun setUserEmail(){
        Toast.makeText(this,"Vítejte "+getCurrentUserEmail(), Toast.LENGTH_LONG).show().toString()
    }
}