package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityObnovaheslaBinding
import com.example.mlearningremesla.databinding.ActivityProfilBinding
import com.google.firebase.auth.FirebaseAuth
import kotlinx.android.synthetic.main.activity_obnovahesla.*

class ObnovaHeslaActivity : AppCompatActivity() {
    private lateinit var binding: ActivityObnovaheslaBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityObnovaheslaBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData()

        btnOdeslat.setOnClickListener {
            val email: String = zapomenutyEmail.text.toString().trim { it <= ' ' }
            if (email.isEmpty()) {
                Toast.makeText(this@ObnovaHeslaActivity, "Prosím zadejte email", Toast.LENGTH_LONG)
                    .show()
            } else {
                FirebaseAuth.getInstance().sendPasswordResetEmail(email)
                    .addOnCompleteListener { task ->
                        if (task.isSuccessful) {
                            Toast.makeText(
                                this@ObnovaHeslaActivity,
                                "Obnova hesla byla odeslána",
                                Toast.LENGTH_LONG
                            ).show()
                            finish()
                        } else {
                            Toast.makeText(
                                this@ObnovaHeslaActivity,
                                task.exception!!.message.toString(),
                                Toast.LENGTH_LONG
                            ).show()
                        }

                    }
            }
        }

    }
    private fun initData() {
        clickListener();
    }

    private fun clickListener() {
        binding.btnZpetNaPrihlas.setOnClickListener {
            startActivity(Intent(this, LoginAcitvity::class.java))
            finish()
        }
    }
}