package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.mlearningremesla.databinding.ActivityProfilBinding
import com.google.firebase.auth.FirebaseAuth
import kotlinx.android.synthetic.main.activity_profil.*
import kotlinx.android.synthetic.main.activity_vysledek.*

class ProfilActivity : AppCompatActivity() {
    private lateinit var auth: FirebaseAuth;
    private lateinit var binding: ActivityProfilBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityProfilBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();
    }
    private fun initData(){
        auth = FirebaseAuth.getInstance();
        setUserEmail();
        clickListener();
    }
    private fun getCurrentUserEmail(): String? {
        return auth.currentUser?.email

    }
    private fun setUserEmail(){
        jmenoUzivatele.text = ""+getCurrentUserEmail()
    }
    private fun clickListener(){
        binding.btnZpetDoMenu.setOnClickListener{
            startActivity(Intent(this,MenuActivity::class.java))
            finish()
        }
        binding.btnZmenaHesla.setOnClickListener{
            startActivity(Intent(this,ObnovaHeslaActivity::class.java))
            finish()
        }
    }

}