package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityRegisterBinding
import com.google.firebase.auth.FirebaseAuth

class RegisterActivity : AppCompatActivity() {

    private lateinit var auth: FirebaseAuth;
    private lateinit var binding: ActivityRegisterBinding;

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        auth = FirebaseAuth.getInstance();
        binding = ActivityRegisterBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)
        initData();
    }

    private fun initData(){
        auth = FirebaseAuth.getInstance();
        cClickListener();
    }

    private fun cClickListener(){
        binding.btnregistrace.setOnClickListener {
            createUser();

        }
        binding.mamucet.setOnClickListener{
            startActivity(Intent(this,LoginAcitvity::class.java))
            finish();
        }
    }

    private fun createUser(){
        var email = binding.email.text.toString();
        var password = binding.heslo.text.toString();
        var cpassword = binding.znovuheslo.text.toString();

        if (email.isNotEmpty() && password.isNotEmpty() && cpassword.isNotEmpty()){
            //ulož uživatele
            if (password == cpassword){
                saveUser(email,password)
                Toast.makeText(this,"Registrace proběhla úspěšně",Toast.LENGTH_LONG).show()


            }else{
                Toast.makeText(this,"Hesla se neshodují",Toast.LENGTH_LONG).show()
            }
        }else{
            Toast.makeText(this,"Vyplňte všechny údaje",Toast.LENGTH_LONG).show()
        }
    }
    private fun saveUser(email: String, password: String){
        auth.createUserWithEmailAndPassword(email,password)
            .addOnCompleteListener{
                checkResults(it.isSuccessful)

            }

    }

    private fun checkResults(isSucces: Boolean){
        if (isSucces){
            startActivity(Intent(this,LoginAcitvity::class.java))
            finish();
        }else{
            Toast.makeText(this,"Založte pro založení účtu",Toast.LENGTH_LONG).show()
        }
    }




}