package com.example.mlearningremesla

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Toast
import com.example.mlearningremesla.databinding.ActivityVysledekBinding
import com.google.firebase.auth.FirebaseAuth
import kotlinx.android.synthetic.main.activity_vysledek.*


class VysledekActivity : AppCompatActivity() {
    private lateinit var auth: FirebaseAuth;
    private lateinit var binding: ActivityVysledekBinding



    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityVysledekBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)

        val pocetOtazek = intent.getIntExtra(Constants.TOTAL_QUESTIONS, 0)
        val spravneOdpovedi = intent.getIntExtra(Constants.CORRECT_ANSWERS, 0)

        skore.text = "Vaše skóre je $spravneOdpovedi z $pocetOtazek"
        podminkaUspechu.text = "Pro úspěšné splnění je zapotřebí v testu dosáhnout alespoň 13 bodů"
        initData()

    }
    private fun uspesnost(){
        val spravneOdpovedi = intent.getIntExtra(Constants.CORRECT_ANSWERS, 0)
      when{
          spravneOdpovedi > 12 -> tvVysledek.text = "Gratuluji!!! Uspěli jste"
          spravneOdpovedi < 13 -> tvVysledek.text = "Bohužel test byl neúspešný"

        }



    }


    private fun initData(){
        auth = FirebaseAuth.getInstance();
        setUserEmail();
        uspesnost();
        clickListener();
    }

    private fun getCurrentUserEmail(): String? {
        return auth.currentUser?.email

    }
    private fun setUserEmail(){
        tvJmeno.text = ""+getCurrentUserEmail()
    }
    private fun clickListener(){
        binding.btnKonecTestu.setOnClickListener {
            startActivity(Intent(this,KovarstviActivity::class.java))
            finish()

    }
}
}